# Changing the UI Language

The `uiLang` property of `uiCustomData` allows you to set the language for UI elements in your payment page. The following values are supported:

* `eng` for English
* `heb` for Hebrew
* `ara` for Arabic
* `rus` for Russian

```json
<paymentPageData>
    <ppsJSONConfig>
        {
            "uiCustomData": {
                "uiLang": "heb"
            }
        }
    </ppsJSONConfig>
</paymentPageData>
```

The default UI language and the language used in XML responses can also be set using the `language` element higher up in the request properties, although at that level you can only set `ENG` for English or `HEB` for Hebrew:

```xml
<ashrait>
      <request>
          <version>2000</version>
          <language>ENG</language>
          ...
      </request>
</ashrait>
```

If both `language` and `uiLang` are set to different values, then the language defined by `uiLang` takes precedence.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.hyp.co.il/enterprise/changing-the-default-payment-page-appearance/changing-the-ui-language.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
